window.DWMConfig = {
  menus: [
    {
      class: 'system_resources'
    },
    {
      class: 'system_info'
    },
    {
      class: 'service'
    },
    {
      class: 'network_configuration'
    },
    {
      class: 'hostname'
    },
    {
      class: 'datetime'
    },
    {
      class: 'security'
    },
    {
      class: 'filebrowser'
    },
    /*{
      class: 'hmi'
    },*/
    {
      class: 'logs'
    },
    {
      class: 'password_change',
      superEnabled: false,
      adminEnabled: true,
      operatorEnabled: true,
      guestEnabled: true,
    },
    {
      class: 'archives'
    },
    {
      class: 'rex-arc-view--archives'
    },
    {
      class: 'rex-arc-view--database'
    },
    {
      class: 'licensing'
    },
    {
      class: 'studio'
    },
  ]
};

window.RAWConfig = {
    app: {
      title: "Rex Arc View",
    },
  
    api: {
      url: {
        base: '/arcview/',
      }
    },
  
    localization: {
      lang: 'en',
      locale: 'en-US',
      format: {
        date: {
          short: 'yyyy/MM/dd, H:mm',
          medium: 'yyyy/MM/dd, H:mm:ss',
          long: 'yyyy/MM/dd, H:mm:ss z',
          full: 'EEEE, yyyy/MM/dd, H:mm:ss zzzz',
          shortDate: 'yyyy/MM/dd',
          mediumDate: 'yyyy/MM/dd',
          longDate: 'yyyy/MM/dd',
          fullDate: 'EEEE, yyyy/MM/dd',
          shortTime: 'H:mm',
          mediumTime: 'H:mm:ss',
          longTime: 'H:mm:ss z',
          fullTime: 'H:mm:ss zzzz',
        },
  
        dateAxis: {
          millisecond: ".%L",
          second: ":%S",
          minute: "%H:%M",
          hour: "%H:00",
          day: "%a %d",
          week: "%b %d",
          month: "%B",
          year: "%Y",
        },
  
        datePicker: {
          parse: {
            dateInput: 'YYYY/MM/DD',
          },
          display: {
            dateInput: 'YYYY/MM/DD',
            monthYearLabel: 'YYYY/MM',
            dateA11yLabel: 'YYYY/MM/DD',
            monthYearA11yLabel: 'MMMM T YYYY',
          },
        },
  
        number: {
          format: '1.2-2',
          thousands: ' ',
          decimals: '.',
        }
      }
    },
  
    aggregation: {
      // TODO i18n for intervals title
      intervals: {
        0: 'auto',
        5: '5 minutes',
        15: '15 minutes',
        60: '1 hour',
        240: '4 hours',
        720: '12 hours',
        1440: '24 hours',
        10080: '7 days',
        21600: '15 days',
        43200: '30 days',
      },

      default: 1440, // 24h
    },
  
    renderer: {
      colors: {
        light: [
          '#fad1db77',
          '#d9f2dc77',
          '#fff8cc77',
          '#d5dcf677',
          '#fde2ce77',
          '#efd3f877',
          '#cff4fc77',
          '#fbd0f977',
          '#effbd077',
          '#dcefed77',
          '#f5e7d677',
          '#ffcccc77',
          '#ffff9977',
          '#ccccff77',
          '#e6e6e677',
          '#fff2e677',
        ],
        dark: [
          '#e6194B',
          '#3cb44b',
          '#ffe119',
          '#4363d8',
          '#f58231',
          '#911eb4',
          '#26cdf2',
          '#f032e6',
          '#bfef45',
          '#469990',
          '#9A6324',
          '#800000',
          '#808000',
          '#000075',
          '#000000',
          '#ffbf80',
        ],
      },
  
      margin: {
        top: 20,
        right: 50,
        bottom: 20,
        left: 50
      },
  
      cumulative: {
        bar: {
          width: 35
        }
      },
  
      qualityThresholds: [
        {
          min: 0.00,
          max: 0.15,
          color: '#ff5722'
        },
        {
          min: 0.15,
          max: 0.50,
          color: '#ff9800'
        }
      ]
    },

    timeline: {
        immediateAction: true, // true/false

        zoom: {
            minimalSelection: 10, // px >= 0
            timelineMargin: 1.2, // coef >= 1.0
            timelineMinimalInterval: 5 * 5 * 60 * 1000, // in milliseconds
            timelineMinimalSelection: 5 * 60 * 1000 // in milliseconds
        },
    },

    liveValues: {
        interval: 2000,
    },
  
    signal: {
        pooling: false
    },
    
    session: {
      localStorageKey: 'RexArcViewer-SESSIONS'
    }
  };
  