local utils = require 'utils'
local cjson = require 'cjson.safe'
local errType = require 'errType'
local config = require 'config'

local ArcView_CheckInstalled = {}

function ArcView_CheckInstalled.invoke()
    if not (config and config.arcview and config.arcview.location) then
        return nil, errType.codes.InvalidParams,
        {message = 'Invalid arcview configuration.'}
    end

    local app_dir = config.arcview.location .. "manage.py"
    if utils.fileExists(app_dir) then
        return true
    else
        return false
    end
end

return ArcView_CheckInstalled
