local utils = require 'utils'
local cjson = require 'cjson.safe'
local errType = require 'errType'
local config = require 'config'

local ArcView_DbPSqlCheckInstalled = {}

function ArcView_DbPSqlCheckInstalled.invoke(args)
    local stdout, err, errData = utils.shell_posix('sudo', nill, 'systemctl', 'status', 'postgresql')

    -- exitcode == 3 means that service is stopped
    if err ~= nil and (errData == nil or errData.exitcode ~= 3) then
        return false
    else
        return true
    end
end

return ArcView_DbPSqlCheckInstalled
