local utils = require 'utils'
local cjson = require 'cjson.safe'
local errType = require 'errType'

local ArcView_Restart = {}

function ArcView_Restart.invoke(args)
    local config_type

    if args ~= nil then
        if utils.isArray(args) then
            config_type = args[1]
        else
            config_type = args.type
        end
    end

    if config_type == nil or type(config_type) ~= 'string' then
        return nil, errType.codes.InvalidParams,
        {message = 'Parameter \'type\' is mandatory and must be a string.'}
    end

    local _, err, _ = utils.shell_posix('sudo', nil, 'systemctl', 'restart', 'rex-dwm-arcview-' .. config_type .. '-backend')
    if err ~= nil then
        return false
    end

    return true
end

return ArcView_Restart
