local errType = require 'errType'
local utils = require 'utils'

local FileSystem_GetFileContent = {}

function FileSystem_GetFileContent.invoke(args)
    local path

    if args ~= nil then
        if utils.isArray(args) then
            if #args >= 1 then
                path = args[1]
            end
        else
            path = args.path
        end
    end

    if path == nil or type(path) ~= 'string' then
        return nil, errType.codes.InvalidParams, {message = 'Failed to read parameter \'path\'.'}
    end

    local readable, err, errData = utils.isPathReadable(path)
    if readable ~= true then
        return nil, err, errData
    end

    local content = utils.readFromFile(path)
    if content == nil then
        return nil, errType.codes.ServerError, {message = 'Unable to read the content of the file \'' .. path .. '\'.'}
    end

    local result = {}
    result.content = content
    return result
end

return FileSystem_GetFileContent
