local errType = require 'errType'
local utils = require 'utils'

local LoadAverage_GetState = {}

function LoadAverage_GetState.invoke()

    local content = utils.readFromFile('/proc/loadavg')
    if content == nil then
        return nil, errType.codes.ServerError, {message = 'Failed to read content from path \'/proc/loadavg\'.'}
    end

    local load = {}
    local oneMin, fiveMins, fifteenMins, runningProcesses, totalProcessCount
    = string.match(utils.trim(content), '(%d+%.%d+)%s+(%d+%.%d+)%s+(%d+%.%d+)%s+(%d+)%/(%d+)')

    load.loadOverLast_1_Minute = tonumber(oneMin)
    load.loadOverLast_5_Minutes = tonumber(fiveMins)
    load.loadOverLast_15_Minutes = tonumber(fifteenMins)
    load.runningProcesses = tonumber(runningProcesses)
    load.processes = tonumber(totalProcessCount)

    return load
end

return LoadAverage_GetState
