local errType = require 'errType'
local utils = require 'utils'

local RamUsage_GetState = {}

function RamUsage_GetState.invoke()

    local content = utils.readFromFile('/proc/meminfo')
    if content == nil then
        return nil, errType.codes.ServerError, {message = 'Failed to read content from path \'/proc/meminfo\'.'}
    end

    local lines = utils.split(content, '\n')
    local ram = {}

    for _, line in pairs(lines) do
        local param, value = string.match(line, "(%w+):%s+(%d+)")
        if param == 'MemTotal' then
            ram.total = value;
        end

        if param == 'MemFree' then
            ram.free = value;
        end

        if param == 'MemAvailable' then
            ram.available = value;
        end

        if ram.total and ram.free and ram.available then
            break
        end
    end

    return ram
end

return RamUsage_GetState
