local utils = require 'utils'

local RexArc_CheckInstalled = {}

function RexArc_CheckInstalled.invoke()

    local stdout, err, errData = utils.shell_posix('dpkg-query', nil, '-W', '-f=${db:Status-Status}', 'rexarc')

    if err ~= nil then
        if errData ~= nil and errData.exitcode ~= 0 then
            return false
        end
        return nil, err, errData
    end

    if stdout == 'installed' then
        return true
    end
    return false
end

return RexArc_CheckInstalled
