local utils = require 'utils'
local cjson = require 'cjson.safe'
local errType = require 'errType'

local RexArc_DeleteArchive = {}

function RexArc_DeleteArchive.invoke(args)
    local arcName

    if args ~= nil then
        if utils.isArray(args) then
            arcName = args[1]
        else
            arcName = args.arcName
        end
    end

    if arcName == nil or type(arcName) ~= 'string' then
        return nil, errType.codes.InvalidParams,
        {message = 'Parameter \'arcName\' is mandatory and must be a string.'}
    end

    local _, err, errData = utils.shell_posix('sudo', nil, 'find', '/rex/arc/' ,'-name', '*' .. arcName .. '.rea', '-type', 'f', '-delete')
    if err ~= nil then
        return nil, err, errData
    end

    _, err, errData = utils.shell_posix('sudo', nil, 'find', '/rex/arc/', '-mindepth', '1', '-empty', '-type', 'd', '-delete')
    if err ~= nil then
        return nil, err, errData
    end
end

return RexArc_DeleteArchive
